Bug 4849 - Failure converting XML to PDF using docbook
Summary: Failure converting XML to PDF using docbook
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: general (show other bugs)
Version: all
Hardware: PC Linux
: P3 normal
Target Milestone: ---
Assignee: fop-dev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-11-13 13:17 UTC by Carlos Araya
Modified: 2012-04-01 06:48 UTC (History)
0 users



Attachments
XML file that is not converting to PDF (7.67 KB, text/xml)
2001-11-13 13:19 UTC, Carlos Araya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Araya 2001-11-13 13:17:09 UTC
In trying to convert a specific file to PDF using FOP and the Docbook 
stylesheets, version 1.44 I get a never ending error loop that I have to stop 
using control-C. I've run xmllint and it does not detect any problem with the 
file. I've also attached the file to see if anyone can reproduce the problem 
and help me solve it
Comment 1 Carlos Araya 2001-11-13 13:19:15 UTC
Created attachment 790 [details]
XML file that is not converting to PDF
Comment 2 J.Pietschmann 2002-05-15 12:24:41 UTC
As the docbook xsl 1.44 appears to be no longer available, I had to use 1.45.
It is recommended to attach the generated FO file rather than the raw XML
to a bug report.
FOP 0.20.3 wont display the table generated by the revision history (a well
known problem), but the infinite loop appears to be fixed.
Comment 3 Carlos Araya 2002-05-15 12:36:28 UTC
Confirmed.  I've got it to work using Saxon 6.5.2 as the XSLT Processor 
and the 1.50.0 stylesheets
Comment 4 Glenn Adams 2012-04-01 06:48:16 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed